Subject: Re: linux-next: build failure after merge of the hid tree

From: Denis Benato <[email-masked]>
Date: Mon, 2 Mar 2026 18:52:33 +0100

On 3/2/26 16:58, Benjamin Tissoires wrote:
> On Mar 02 2026, Mark Brown wrote:
>> Hi all,
>>
>> After merging the hid tree, today's linux-next build (x86_64 allmodconfig)
>> failed like this:
>>
>> /tmp/next/build/drivers/hid/hid-asus.c: In function 'asus_has_report_id':
>> /tmp/next/build/drivers/hid/hid-asus.c:732:22: error: unused variable 'err' [-Werror=unused-variable]
>>   732 |         int t, f, u, err = 0;
>>       |                      ^~~
>> /tmp/next/build/drivers/hid/hid-asus.c:732:19: error: unused variable 'u' [-Werror=unused-variable]
>>   732 |         int t, f, u, err = 0;
>>       |                   ^
>> /tmp/next/build/drivers/hid/hid-asus.c:732:16: error: unused variable 'f' [-Werror=unused-variable]
>>   732 |         int t, f, u, err = 0;
>>       |                ^
>> cc1: all warnings being treated as errors
>>
>>
>> Caused by commit
>>
>>   Fixes: 0919db9f35832 (HID: asus: always fully initialize devices)
>>
>> I have used the tree from next-20260226 instead.
> Thanks for the report.
>
> I've queued a fix on top of the current for-7.1/asus branch:
> https://git.kernel.org/pub/scm/linux/kernel/git/hid/hid.git/commit/?h=for-7.1/asus&id=7b2f88cc9dd4c2b9f3d6f5377b45ed9c90fd2fe9
>
> Denis, if you disagree with the fix, please shout.
Hi,

Thank you for that, but I think we are duplicating work here: I spotted it and sent a fix already inside this:
https://lore.kernel.org/all/[email-masked]/ the fix is is 3/7.
> Cheers,
> Benjamin